=== modified file 'configure.ac'
--- configure.ac	2008-10-03 20:01:35 +0000
+++ configure.ac	2008-10-03 20:04:48 +0000
@@ -275,6 +275,12 @@
 AC_DEFINE_UNQUOTED([likely(x)],[__builtin_expect((x),1)],[Branch is likely])
 AC_DEFINE_UNQUOTED([unlikely(x)],[__builtin_expect((x),0)],[Branch is unlikely])
 
+dnl TODO: This needs to go away and be replaced with _ISOC99_SOURCE
+if test "$ac_cv_compiler_gnu" = "yes" -o "$target_os" = "linux-gnu"
+then
+  AC_DEFINE([_GNU_SOURCE],[1],[Fix problem with S_ISLNK() on Linux])
+fi
+
 dnl  Solaris 9 include file <sys/feature_tests.h> refers to X/Open document
 
 dnl  System Interfaces and Headers, Issue 5

=== modified file 'drizzled/global.h'
--- drizzled/global.h	2008-10-03 20:01:35 +0000
+++ drizzled/global.h	2008-10-03 20:04:48 +0000
@@ -28,14 +28,6 @@
 
 #include "config.h"
 
-
-/* Fix problem with S_ISLNK() on Linux */
-#if defined(TARGET_OS_LINUX) || defined(__GLIBC__)
-#undef  _GNU_SOURCE
-#define _GNU_SOURCE 1
-#endif
-
-
 /*
   Temporary solution to solve bug#7156. Include "sys/types.h" before
   the thread headers, else the function madvise() will not be defined

